Saltar al contenido principal
PUT
/
v1
/
planning
/
salesOrders
/
{orderReference}
/
lines
/
{lineReference}
Edit an existing Sales Order Line
curl --request PUT \
  --url https://api.bold-factory.com/v1/planning/salesOrders/{orderReference}/lines/{lineReference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quantity": 123,
  "skuReference": "<string>",
  "dueAt": "2023-11-07T05:31:56Z",
  "requestedDeliveryAt": "2023-11-07T05:31:56Z",
  "committedDeliveryAt": "2023-11-07T05:31:56Z",
  "notes": "<string>",
  "restartIfRequired": true
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

orderReference
string
requerido
lineReference
string
requerido

Cuerpo

application/json
quantity
number<double>
requerido
skuReference
string
requerido
dueAt
string<date-time>
requerido
requestedDeliveryAt
null | string<date-time>
committedDeliveryAt
null | string<date-time>
notes
null | string
restartIfRequired
boolean
fulfillmentMode
any | null
Opciones disponibles:
ToOrder,
ToStock,
null

Respuesta

No Content